<?php

/**
 * Class FMModelFormMakerSQLMapping_fmc
 */
class FMModelFormMakerSQLMapping_fmc {
  /**
   * Get query by id.
   *
   * @param $id
   *
   * @return array|null|object|void
   */
  function get_query( $id ) {
    global $wpdb;
    $rows = $wpdb->get_row("SELECT * FROM " . $wpdb->prefix . "formmaker_query where id=" . $id);

    return $rows;
  }

  /**
   * Get labels by id.
   *
   * @param  int $id
   *
   * @return (string|null) $rows
   */
  function get_labels( $id ) {
    global $wpdb;
    $rows = $wpdb->get_var("SELECT label_order_current FROM " . $wpdb->prefix . "formmaker where id=" . $id);

    return $rows;
  }

  /**
   * Get tables.
   *
   * @return object $tables
   */
  function get_tables() {
    global $wpdb;
    $con_type = WDW_FMC_Library::get('con_type', NULL);
    if ( $con_type == 'local' ) {
      $query = "SHOW TABLES";
      $tables = $wpdb->get_col($query);
    }
    else {
      if ( $con_type == 'remote' ) {
        $username = WDW_FMC_Library::get('username', '');
        $password = WDW_FMC_Library::get('password', '');
        $database = WDW_FMC_Library::get('database', '');
        $host = WDW_FMC_Library::get('host', '');
        $wpdb_temp = new wpdb($username, $password, $database, $host);
        $query = "SHOW TABLES";
        $tables = $wpdb_temp->get_col($query);
      }
    }

    return $tables;
  }

  function get_tables_saved( $con_type, $username, $password, $database, $host ) {
    global $wpdb;
    if ( $con_type == 'local' ) {
      $query = "SHOW TABLES";
      $tables = $wpdb->get_col($query);
    }
    else {
      if ( $con_type == 'remote' ) {
        $wpdb_temp = new wpdb($username, $password, $database, $host);
        $query = "SHOW TABLES";
        $tables = $wpdb_temp->get_col($query);
      }
    }

    return $tables;
  }

  function get_table_struct() {
    global $wpdb;
    $name = WDW_FMC_Library::get('name', NULL);
    if ( !$name ) {
      return array();
    }
    $con_method = WDW_FMC_Library::get('con_method', NULL);
    $con_type = WDW_FMC_Library::get('con_type', NULL);
    $query = 'SHOW COLUMNS FROM `' . $name . '`';
    if ( $con_type == 'remote' ) {
      $username = WDW_FMC_Library::get('username', '');
      $password = WDW_FMC_Library::get('password', '');
      $database = WDW_FMC_Library::get('database', '');
      $host = WDW_FMC_Library::get('host', '');
      $wpdb_temp = new wpdb($username, $password, $database, $host);
      $table_struct = $wpdb_temp->get_results($query);
    }
    else {
      $table_struct = $wpdb->get_results($query);
    }

    return $table_struct;
  }

  function get_table_struct_saved( $con_type, $username, $password, $database, $host, $name, $con_method ) {
    global $wpdb;
    if ( !$name ) {
      return array();
    }
    $query = 'SHOW COLUMNS FROM `' . $name . '`';
    if ( $con_type == 'remote' ) {
      $wpdb_temp = new wpdb($username, $password, $database, $host);
      $table_struct = $wpdb_temp->get_results($query);
    }
    else {
      $table_struct = $wpdb->get_results($query);
    }

    return $table_struct;
  }
}